<div class="text-center admin-header text-light mb-2">
  <div class="row">
    <div class="col-md-3">
      <span class="title">Select source type</span>
    </div>
    <div class="col-md-6">
      <button class="btn btn-outline-warning" type="button" (click)="handleSourceTypeSelection('IMAGES_PREVIEW')">IMAGES PREVIEW</button>
      <button class="btn btn-outline-warning" type="button" (click)="handleSourceTypeSelection('RADIO_STREAMS')">RADIO STREAMS</button>
    </div>
  </div>
</div>

<div style="padding-top: 4em">
  <div [ngSwitch]="currentSourceType">
    <div *ngSwitchCase="'IMAGES_PREVIEW'">
      <app-image-preview></app-image-preview>
    </div>
    <div *ngSwitchCase="'RADIO_STREAMS'">
      <app-radio-stream [isAdmin]="true"></app-radio-stream>
    </div>
  </div>
</div>


<app-footer></app-footer>
